## polylib tools

=== Makefile ===
EXEC= gauss imscan interim lhermite matinv rhermite

CFLAGS= -Wall -O4 -g
LDLIBS= -lpolylib64 -lgmp

all: $(EXEC)

clean:
	-rm -f *.o
	-rm -f a.out core
	-rm -f $(EXEC)

=== DSimplify/Makefile ===
CFLAGS = -g -O2  -Wall
LDLIBS = -lpolylib64 -lgmp 

all: dsimplify

clean:
	-rm -f dsimplify

=== OptCache/Makefile ===
EXEC = tm1t2 split4 

CFLAGS = -Wall -g -O2
LDLIBS = -lpolylib32 -lgmp -lm

all: $(EXEC)

clean:
	-rm -f *.o
	-rm -f a.out core
	-rm -f $(EXEC)

=== Paolo/Makefile ===
EXEC= paolo

CFLAGS= -Wall -O4 -g
LDLIBS= -lpolylib64 -lgmp

all: $(EXEC)

clean:
	-rm -f *.o
	-rm -f a.out core
	-rm -f $(EXEC)

=== Split/Makefile ===
EXEC= cache_split ben

CFLAGS= -Wall -O4 -g
LDLIBS= -lpolylib64 -lgmp

all: $(EXEC)

clean:
	-rm -f *.o
	-rm -f a.out core
	-rm -f $(EXEC)

=== Split/ex/exec/Makefile ===
EXEC = opt loop2 loop ehr2 ehr

CFLAGS = -g  -Wall -pg

all: $(EXEC)

clean:
	-rm -f core a.out *.o gmon.out
	-rm -f $(EXEC)

## polylib 5.22.5

=== debian/changelog ===
polylib (5.22.5-4.2+dfsgbuild1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:39:51 +1100

polylib (5.22.5-4.2+dfsg) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063266

 -- Benjamin Drung <bdrung@debian.org>  Wed, 20 Mar 2024 13:47:53 +0000

polylib (5.22.5-4.1+dfsg) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066303).

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 16 Mar 2024 20:05:30 +0500

polylib (5.22.5-4+dfsg) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Remove -dbg package
  * debhelper 11
  * d/rules: Short dh
  * hardening=+all
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2018 16:47:38 +0100

polylib (5.22.5-3+dfsg) unstable; urgency=low

  * Upgrade standard version
  * Add default build-arch and build-indep targets

 -- Serge Guelton <serge.guelton@enst-bretagne.fr>  Sat, 19 May 2012 19:13:00 +0200

polylib (5.22.5-2+dfsg) unstable; urgency=low

  * Use correct copyright symbol
  * Do not create usr/bin dir for libpolylib-8 package
  * Do not start package description with an article

 -- Serge Guelton <serge.guelton@enst-bretagne.fr>  Thu, 13 Apr 2011 10:26:00 +0200

polylib (5.22.5-1+dfsg) unstable; urgency=low

  * Initial release (Closes: #532439)

 -- Serge Guelton <serge.guelton@enst-bretagne.fr>  Thu, 08 Jul 2010 14:38:00 +0200

=== debian/control ===
Source: polylib
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Serge Guelton <serge.guelton@enst-bretagne.fr>
Section: science
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11~)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/polylib.git
Vcs-Git: https://salsa.debian.org/science-team/polylib.git
Homepage: http://icps.u-strasbg.fr/polylib/polylib_src

Package: libpolylib64-8t64
Provides: ${t64:Provides}
Replaces: libpolylib64-8
Breaks: libpolylib64-8 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Polyhedral library - long int version
 Polylib is a free C library for doing computations on polyhedra.
 The library is operating on objects like vectors, matrices, lattices,
 polyhedra, Z-polyhedra, unions of polyhedra and other intermediary
 structures.
 It provides functions for all important operations on these structures.
 This package provides the version for operations on long integers.

Package: libpolylib64-dev
Architecture: any
Section: libdevel
Depends: libpolylib64-8t64 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the long int version of PolyLib
 Polylib is a free C library for doing computations on polyhedra.
 The library is operating on objects like vectors, matrices, lattices,
 polyhedra, Z-polyhedra, unions of polyhedra and other intermediary
 structures.
 It provides functions for all important operations on these structures.
 .
 This package contains the header files and static libraries which are
 needed for developing polylib applications.

Package: polylib-utils
Architecture: any
Section: math
Depends: ${shlibs:Depends},
         libpolylib64-8t64 (=${binary:Version}),
         ${misc:Depends}
Description: Various tools using libpolylib
 Polylib is a free C library for doing computations on polyhedra.
 The library is operating on objects like vectors, matrices, lattices,
 polyhedra, Z-polyhedra, unions of polyhedra and other intermediary
 structures.
 It provides functions for all important operations on these structures.
 .
 This package contains various utilities to perform polyhedral operations.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	find debian -name polylib64.pc -exec sed -i 's/ *-Wdate-time *-D_FORTIFY_SOURCE=2//' \{\} \;

=== debian/watch ===
# uscan version number
version=3
opts=dversionmangle=s/\.dfsg(\.\d)?$// \
	http://icps.u-strasbg.fr/polylib polylib_src/polylib-(.*)\.tar\.gz \
	debian debian/repack
